sfcode An Online Competing and Development Environment

decamelize

> Convert a camelized string into a lowercased one with a custom separator
> Example: `unicornRainbow` → `unicorn_rainbow`

# Install

$ npm install --save decamelize

# Usage

const decamelize = require('decamelize');
decamelize('unicornRainbow');
//=> 'unicorn_rainbow'
decamelize('unicornRainbow', '-');
//=> 'unicorn-rainbow'

# API

## decamelize(input, [separator])

### input

Type: `string`

### separator

Type: `string`
Default: `_`

# Related

See `camelcase` for the inverse.

# License

MIT © Sindre Sorhus